Package org.jfree.report.modules.gui.swing.common

## Class AbstractActionPlugin

- java.lang.Object
- - org.jfree.report.modules.gui.swing.common.AbstractActionPlugin

- All Implemented Interfaces:
    `ActionPlugin`
  Direct Known Subclasses:
    `AboutActionPlugin`, `AbstractExportActionPlugin`, `ExitActionPlugin`, `GoToActionPlugin`, `GoToFirstPageActionPlugin`, `GoToLastPageActionPlugin`, `GoToNextPageActionPlugin`, `GoToPreviousPageActionPlugin`, `PrintActionPlugin`, `ZoomCustomActionPlugin`, `ZoomInActionPlugin`, `ZoomListActionPlugin`, `ZoomOutActionPlugin`

      public abstract class AbstractActionPlugin
      extends java.lang.Object
      implements ActionPlugin

  The AbstractExportPlugin provides a basic implementation of the ExportPlugin interface.
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `BASE_RESOURCE_CLASS` | The base resource class.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractActionPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPropertyChangeListener​(java.beans.PropertyChangeListener l)` |
    `void` | `addPropertyChangeListener​(java.lang.String property, java.beans.PropertyChangeListener l)` |
    `protected ReportProgressDialog` | `createProgressDialog()` | Creates a progress dialog, and tries to assign a parent based on the given preview proxy.
    `org.pentaho.reporting.libraries.base.config.ExtendedConfiguration` | `getConfig()` |
    `protected abstract java.lang.String` | `getConfigurationPrefix()` |
    `SwingGuiContext` | `getContext()` |
    `java.lang.String` | `getFailureDescription()` | Returns an error description for the last operation.
    `IconTheme` | `getIconTheme()` |
    `int` | `getMenuOrder()` | A sort key used to enforce a certain order within the actions.
    `protected java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()` |
    `java.lang.String` | `getRole()` |
    `int` | `getRolePreference()` |
    `java.lang.String` | `getStatusText()` |
    `int` | `getToolbarOrder()` |
    `boolean` | `initialize​(SwingGuiContext context)` |
    `boolean` | `isAddToMenu()` | Returns true if the action should be added to the menu, and false otherwise.
    `boolean` | `isAddToToolbar()` | Returns true if the action should be added to the toolbar, and false otherwise.
    `boolean` | `isEnabled()` |
    `boolean` | `isSeparated()` | Returns true if the action is separated, and false otherwise.
    `void` | `removePropertyChangeListener​(java.beans.PropertyChangeListener l)` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setStatusText​(java.lang.String statusText)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.report.modules.gui.swing.common.ActionPlugin

      `getAcceleratorKey, getDisplayName, getLargeIcon, getMnemonicKey, getShortDescription, getSmallIcon`

- - ### Field Detail

    - #### BASE_RESOURCE_CLASS

          public static final java.lang.String BASE_RESOURCE_CLASS

      The base resource class.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractActionPlugin

          protected AbstractActionPlugin()

  - ### Method Detail

    - #### initialize

          public boolean initialize​(SwingGuiContext context)

      Specified by:
        `initialize` in interface `ActionPlugin`

    - #### getPropertyChangeSupport

          protected java.beans.PropertyChangeSupport getPropertyChangeSupport()

    - #### getContext

          public SwingGuiContext getContext()

    - #### getConfig

          public org.pentaho.reporting.libraries.base.config.ExtendedConfiguration getConfig()

    - #### isSeparated

          public boolean isSeparated()

      Returns true if the action is separated, and false otherwise. A separated action starts a new action group and will be spearated from previous actions on the menu and toolbar.
      Specified by:
        `isSeparated` in interface `ActionPlugin`
      Returns:
        true, if the action should be separated from previous actions, false otherwise.

    - #### getFailureDescription

          public java.lang.String getFailureDescription()

      Returns an error description for the last operation. This implementation provides a basic default failure description text and should be overriden to give a more detailed explaination.
      Returns:
        returns a error description.

    - #### getStatusText

          public java.lang.String getStatusText()

    - #### setStatusText

          public void setStatusText​(java.lang.String statusText)

    - #### isAddToToolbar

          public boolean isAddToToolbar()

      Returns true if the action should be added to the toolbar, and false otherwise.
      Specified by:
        `isAddToToolbar` in interface `ActionPlugin`
      Returns:
        true, if the plugin should be added to the toolbar, false otherwise.

    - #### isAddToMenu

          public boolean isAddToMenu()

      Returns true if the action should be added to the menu, and false otherwise.
      Specified by:
        `isAddToMenu` in interface `ActionPlugin`
      Returns:
        A boolean.

    - #### createProgressDialog

          protected ReportProgressDialog createProgressDialog()

      Creates a progress dialog, and tries to assign a parent based on the given preview proxy.
      Returns:
        the progress dialog.

    - #### addPropertyChangeListener

          public void addPropertyChangeListener​(java.beans.PropertyChangeListener l)

      Specified by:
        `addPropertyChangeListener` in interface `ActionPlugin`

    - #### addPropertyChangeListener

          public void addPropertyChangeListener​(java.lang.String property,
                                                java.beans.PropertyChangeListener l)

      Specified by:
        `addPropertyChangeListener` in interface `ActionPlugin`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener​(java.beans.PropertyChangeListener l)

      Specified by:
        `removePropertyChangeListener` in interface `ActionPlugin`

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### isEnabled

          public boolean isEnabled()

    - #### getIconTheme

          public IconTheme getIconTheme()

    - #### getConfigurationPrefix

          protected abstract java.lang.String getConfigurationPrefix()

    - #### getMenuOrder

          public int getMenuOrder()

      A sort key used to enforce a certain order within the actions.
      Specified by:
        `getMenuOrder` in interface `ActionPlugin`
      Returns:

    - #### getToolbarOrder

          public int getToolbarOrder()

      Specified by:
        `getToolbarOrder` in interface `ActionPlugin`

    - #### getRole

          public java.lang.String getRole()

      Specified by:
        `getRole` in interface `ActionPlugin`

    - #### getRolePreference

          public int getRolePreference()

      Specified by:
        `getRolePreference` in interface `ActionPlugin`